itpp::Complex_Normal_RNG Class Reference
Base Module » Random Number Generation

A Complex Normal Source. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Complex_Normal_RNG (std::complex< double > mean, double variance)
| Constructor. Set mean and variance.
| Complex_Normal_RNG ()
| Default constructor.
void | setup (std::complex< double > mean, double variance)
| Set mean and variance.
void | get_setup (std::complex< double > &mean, double &variance)
| Get mean and variance.
std::complex< double > | operator() ()
| Get one sample.
cvec | operator() (int n)
| Get a sample vector.
cmat | operator() (int h, int w)
| Get a sample matrix.
std::complex< double > | sample ()
| Get a Complex Normal (0,1) distributed sample.
void | sample_vector (int size, cvec &out)
| Get a Complex Normal (0,1) distributed vector.
void | sample_matrix (int rows, int cols, cmat &out)
| Get a Complex Normal (0,1) distributed matrix.
Complex_Normal_RNG & | operator= (const Complex_Normal_RNG &)
| Dummy assignment operator - MSVC++ warning C4512.

## Detailed Description

A Complex Normal Source.

Definition at line 579 of file random.h.

The documentation for this class was generated from the following file:

- itpp/base/random.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13